Name:          python-requests
Version:       2.22.0
Release:       2mamba
Summary:       Requests is an Apache2 Licensed HTTP library, written in Python, for human beings
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.python.org/pypi/requests/
Source:        https://pypi.debian.net/requests/requests-%{version}.tar.gz
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRequires: libpython3-devel >= 3.7.4
Requires:      python >= %python_version
Requires:      python-chardet
Requires:      python-certifi
Requires:      python-urllib3
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%if "%{?with_pyver}"
%pyver_package
%endif

%prep
%setup -q -n requests-%{version}

sed -e '/certifi/d' \
    -e "s/,<.*'/'/" \
    -i setup.py

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

#sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Sun Aug 11 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.22.0-2mamba
- rebuillt with python3 3.7.4

* Thu Jun 20 2019 Automatic Build System <autodist@mambasoft.it> 2.22.0-1mamba
- automatic version update by autodist

* Thu May 16 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.21.0-2mamba
- fix reqirement for urllib3<1.25

* Fri Dec 14 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.21.0-1mamba
- update to 2.21.0

* Mon Nov 12 2018 Automatic Build System <autodist@mambasoft.it> 2.20.1-1mamba
- automatic version update by autodist

* Tue Oct 23 2018 Automatic Build System <autodist@mambasoft.it> 2.20.0-1mamba
- automatic version update by autodist

* Sun Jun 17 2018 Automatic Build System <autodist@mambasoft.it> 2.19.1-1mamba
- automatic version update by autodist

* Thu Aug 17 2017 Automatic Build System <autodist@mambasoft.it> 2.18.4-1mamba
- automatic version update by autodist

* Tue Aug 08 2017 Automatic Build System <autodist@mambasoft.it> 2.18.3-1mamba
- automatic version update by autodist

* Thu Jan 26 2017 Automatic Build System <autodist@mambasoft.it> 2.13.0-1mamba
- automatic version update by autodist

* Wed Jan 25 2017 Automatic Build System <autodist@mambasoft.it> 2.12.5-1mamba
- automatic version update by autodist

* Thu Dec 15 2016 Automatic Build System <autodist@mambasoft.it> 2.12.4-1mamba
- automatic version update by autodist

* Mon Dec 05 2016 Automatic Build System <autodist@mambasoft.it> 2.12.3-1mamba
- automatic version update by autodist

* Thu Nov 24 2016 Automatic Build System <autodist@mambasoft.it> 2.12.1-1mamba
- automatic version update by autodist

* Wed Aug 31 2016 Automatic Build System <autodist@mambasoft.it> 2.11.1-1mamba
- automatic version update by autodist

* Thu Jun 02 2016 Automatic Build System <autodist@mambasoft.it> 2.10.0-1mamba
- automatic version update by autodist

* Mon Apr 04 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.1-2mamba
- rebuilt with -py3 package

* Tue Dec 22 2015 Automatic Build System <autodist@mambasoft.it> 2.9.1-1mamba
- automatic version update by autodist

* Wed Dec 16 2015 Automatic Build System <autodist@mambasoft.it> 2.9.0-1mamba
- automatic version update by autodist

* Sat Dec 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.1-1mamba
- package created using the webbuild interface
